
Core - Bug # 55184

Epic # 55070 (Accepted): Workpackages
Epic # 55065 (New): WP: Overall System Performance (Backend and Frontend)
Task # 55179 (Closed): Optimize SQL Performance

Status: Closed Priority: Should have
Author: Ingo Schmitt Category: Performance
Created: 2014-01-20 Assigned To: Ingo Schmitt
Updated: 2014-03-11 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: Filling the entries from sys_registry does not use an index
Description

While filling the cache by Registry->loadEntriesByNamespace the Entries of the Database are fetched.

Count: 44  Time=0.00s (0s)  Lock=0.00s (0s)  Rows=111.7 (4915), webuser[webuser]@localhost
  SELECT * FROM sys_registry WHERE entry_namespace = 'S'

Since the is no index on entry_namespace this query is not cached and executed slower.

Solution: Add index on entry_namespace

History
#1 - 2014-02-18 09:47 - Ingo Schmitt
- Estimated time changed from 0.50 to 2.00

#2 - 2014-03-11 18:03 - Ingo Schmitt

SQL Statement is no more present in current master. So close

#3 - 2014-03-11 18:03 - Ingo Schmitt
- Status changed from New to Closed
